//
//  GHAppDelegate.m
//  GameHub
//
//  Created by Evan Petousis on 29/11/12.
//  Copyright (c) 2012 1-Bit Software. All rights reserved.
//

#import "GHAppDelegate.h"

@implementation GHAppDelegate

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    // Insert code here to initialize your application
    overlayIsOpen = NO;
    [clock setShouldTick:YES];
    [clock tick];
    
    NSProcessInfo *gameHubProcess = [NSProcessInfo processInfo]; // Create process info
    [gameHubProcess disableSuddenTermination]; // GameHub is running - we can't terminate immediately
    
    [NSEvent addGlobalMonitorForEventsMatchingMask:NSKeyDownMask handler:^(NSEvent *event)
    {
        NSUInteger key = 48;
        NSUInteger modifier = NSShiftKeyMask;
        if ([event keyCode] == key && [NSEvent modifierFlags] == modifier) {
                [self openWindow];
        }
    }];
}

- (BOOL)acceptsFirstResponder {
    return YES;
}

-(void)openWindow {
    [[NSApplication sharedApplication] activateIgnoringOtherApps:YES];
    NSRect screenrect = [[NSScreen mainScreen] frame];
    [_window setStyleMask:NSBorderlessWindowMask];
    //[_window setFrame:NSMakeRect(0, 0, screenrect.size.width, screenrect.size.height) display:YES];
    [_window setLevel:25];
    [_window makeKeyAndOrderFrontWithFadeIn:self];
}

@end
