//
//  GHMusicWidget.h
//  GameHub
//
//  Created by Evan Petousis on 4/12/12.
//  Copyright (c) 2012 1-Bit Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "iTunes.h"
#import "Spotify.h"

@interface GHMusicWidget : NSView {
    IBOutlet NSTextField *nowPlayingField;
    IBOutlet NSView *sourceSelectOnPlayView;
    IBOutlet NSMatrix *sourceSelectMatrix;
    MAAttachedWindow *sourceSelectOnPlayWindow;
    iTunesApplication *iTunes;
    SpotifyApplication *Spotify;
    IBOutlet NSButton *playButton;
    BOOL playing;
    NSString *nowPlayingString;
}

-(IBAction)selectSource:(id)sender;

-(IBAction)playPause:(id)sender;
-(IBAction)nextTrack:(id)sender;
-(IBAction)prevTrack:(id)sender;

-(void)closeSourceWindow;

@end
