//
//  GHWeatherWidget.h
//  GameHub
//
//  Created by Evan Petousis on 1/12/12.
//  Copyright (c) 2012 1-Bit Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SBJson.h"

@interface GHWeatherWidget : NSView {
    NSTextField *weatherLabel;
    IBOutlet NSTextField *weatherLocationField;
    NSString *weatherLocation;
    NSString *weatherUnit;
    MAAttachedWindow *settingsWindow;
    IBOutlet NSView *settingsView;
    IBOutlet NSButton *settingsButton;
    IBOutlet NSTextField *locationField;
    IBOutlet NSMatrix *unitSelector;
}

-(void)updateWeather;

-(IBAction)changeSettings:(id)sender;
-(IBAction)updateUnit:(id)sender;
-(IBAction)updateLocation:(id)sender;
-(void)closeSettingsWindow;

@end
