//
//  GHAppDelegate.h
//  GameHub
//
//  Created by Evan Petousis on 29/11/12.
//  Copyright (c) 2012 1-Bit Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GHOverlayWindow.h"
#import "GHClock.h"

@interface GHAppDelegate : NSObject <NSApplicationDelegate> {
    Boolean appShouldNotQuit;
    Boolean overlayIsOpen;
    IBOutlet GHClock *clock;
    IBOutlet NSButton *closeButton;
}

-(void)openWindow;

@property (assign) IBOutlet GHOverlayWindow *window;

@end
