//
//  GHClock.m
//  GameHub
//
//  Created by Evan Petousis on 29/11/12.
//  Copyright (c) 2012 1-Bit Software. All rights reserved.
//

#import "GHClock.h"

@implementation GHClock

-(void)setShouldTick:(BOOL)tickBool {
    shouldTick = tickBool;
    dateFormatter = [[NSDateFormatter alloc]init];
}

- (void)tick
{
    if (shouldTick)
        localDate = [NSDate date];
    dateFormatter.dateFormat = @"HH:mm:ss";
    [time setStringValue:[dateFormatter stringFromDate: localDate]];
    dateFormatter.dateFormat = @"dd MMMM yyyy";
    [date setStringValue:[dateFormatter stringFromDate: localDate]];
    [self performSelector: @selector(tick) withObject: nil afterDelay: 1.0];
}

@end
