//
//  GHMenulet.h
//  GameHub
//
//  Based on code from Minecraft Manager.
//  Created by evilGoldfish on 21/03/11.
//  Licensed under the Creative Commons.
//

#import <Cocoa/Cocoa.h>

@class MAAttachedWindow;
@class MenuletIconView;
@interface Menulet : NSObject {
	NSMenuItem *MenuItem;
	NSImage *menuIcon;
    NSStatusItem *statusItem;
    MAAttachedWindow *attachedWindow;
    MenuletIconView *iconview;
    NSPoint attachPt;
    
    IBOutlet NSView *mainView;
    //IBOutlet NSView *quitView;
}

-(IBAction)testResize:(id)sender;
- (void)toggleAttachedWindowAtPoint:(NSPoint)pt;
@end