//
//  GHOverlayWindow.h
//  GameHub
//
//  Created by Evan Petousis on 29/11/12.
//  Copyright (c) 2012 1-Bit Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Social/Social.h>
#import "GHClock.h"

@interface GHOverlayWindow : NSWindow {
    IBOutlet GHClock *clock;
    NSColorPanel *colorPanel;
}

-(IBAction)makeKeyAndOrderFrontWithFadeIn:(id)sender;
-(IBAction)closeWithFadeOut:(id)sender;
-(IBAction)pickColorForBackground:(id)sender;

-(IBAction)sendTweet:(id)sender;

@end
